11
kotis
Re: newbb1 to newbb2.02 upgrade error
  • 2005/11/20 22:06

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Quote:

jdseymour wrote:
Two things I can suggest. First don't use newbb 2.02. CBB 1.15 is what you want to use. It contains a continuation of bug fixes as well as security fixes over newbb 2.02.

Second see my Newbb 1 to newbb 2 Flash tutorial. Just recheck to see if anything you missed.

And finally great job testing an upgrade before actually doing it. It will save lots of headaches in the long run.


Hi there jdseymour and thank you for your reply. Newbb2.0.2 is just the middle step before going to the latest CBB. We had another thread about that some days ago where we discussed the upgrade problems from newbb1 to CBB. You can find it here:

https://xoops.org/modules/newbb/viewtopic.php?topic_id=43434

I did watched the tutorial a hundered times... it's not helping me. Is there a way to get more info on the error? Who is responsible for the upgrade script? What does "Could not change field xoops_bb_posts" means? What exactly can't the script change? Is there a log of the scripts output?



12
kotis
Re: Need some help on upgrade
  • 2005/11/20 21:59

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


I tried upgrading fron newbb1.0 to newbb2.0.2 (which looked an obvious and easy upgrade) but it failed. You can find a special thread i started on this, here:

https://xoops.org/modules/newbb/viewtopic.php?topic_id=43791



13
kotis
newbb1 to newbb2.02 upgrade error
  • 2005/11/20 19:00

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Hi there,

I'm trying to upgrade newbb1 to newbb2.02. I deleted the old newbb folder and copied the newbb2.02 folder and then i executed the upgrade script (newbb1 to newbb2). While the script seems to run correctly, i get the following error in step 2:

Could not change field xoops_bb_posts

I completed the update (step 3) ignoring the error, and then i can't see anything in the forum index, except of empty categories. I go to the forum's admin area and assign permissions to categories and forums, but i still can't see anything - just empty categories. I tried creating a new category (which i can see in the forum index) and then a new forum, but i still can't see the new forum - just empty categories... After carefully examining the forum index, i can see that the number of topics is correct (10.000) but there are only about 50000 posts insted of about 250000 that there should be...

I enabled the "Recent Topics" block for my homepage and i can see the recent topics in that block. If i click on a topic i can see the topic and i can read all the posts. If i use the forum jump drop down box i can visit any forum i want... By carefully examining some topics i remembered, i found posts missing.

I tried the above twice but the result is always the same. I'm doing this offline and not on my active site because i'm trying to simulate the upgrade. The server is a vmware Mandriva running xamp 1.5.0 and the database size for newbb is about 150Mb.

Can someone help me with the upgrade?



14
kotis
Re: Need some help on upgrade
  • 2005/11/12 21:21

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Quote:

jdseymour wrote:
I know for a fact that CBB 1.15 has a newbb1_to_newbb2.php upgrade script. It is located in the Update directory. I believe CBB 2.30 has the same script.


I already downloaded CBB 2.2 and CBB 2.3 and there is no upgrade directory and no help on upgrading included. I 'll try to go from newbb1 to CBB 1.15 and then move on to CBB 2.30 and i hope that everything will go smooth...

Thanks... Pray for me...



15
kotis
Re: Need some help on upgrade
  • 2005/11/12 21:09

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Quote:

jdseymour wrote:
Once you update the core you can, I believe, upgrade directly to CBB 2.30. Here is a link to the CBB Teams Website., You can probably find more information there on 2.30.


Oh... i've been there already and searched the whole forum (well, almost). They don't mention it anywhere...

On the other hand i tried it allready and it failed. There is no upgrade script (to upgrade the tables) and i just hit on upgrade on System Modules without much luck...

Something tells me that i have to do all the upgrades to newbb and then switch to cbb...

Thank you for your kind help...



16
kotis
Re: Need some help on upgrade
  • 2005/11/12 20:59

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Quote:

jdseymour wrote:
No newbb and CBB are actually the same module. CBB is further developed and development continues. That tutorial still applies to Newbb 1 to CBB upgrades. The latest CBB version for XOOPS 2.0x is 1.15. The latest CBB version for XOOPS 2.2X is 2.30.

HTH.


Nice, this makes some things clear... So what is the right path to upgrade from newbb1? I searched, but i can't find anything... Do i go straight on from newbb1 to cbb 2.3 (after upgrading the core) or do i have to take all the intermediate steps one by one?

Thanks for your help... ;)



17
kotis
Re: Need some help on upgrade
  • 2005/11/12 20:50

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Quote:

jdseymour wrote:
See the Newbb 1 to Newbb 2 Upgrade Flash Tutorial. It shows how to do it. For 2.0x versions of XOOPS you will need to use CBB 1.15.


Thank you for your fast reply... I had seen this tutorial already, but i saw it once more just in case i missed something. Actually this (great) tutorial is for upgrading from newbb 1 to newbb 2.0.2 but i want to upgrade from newbb1 to cbb (latest). Isn't cbb the latest official forum for XOOPS (2.2.x) or do i miss something here? :P

Do i have to go fron newbb1 to newbb2 and then move on to cbb? There is no update folder in the cbb script...

What i would like to achive is to upgrade my standard XOOPS 2.0.6 site to XOOPS 2.x along with the latest forum and news versions - that's all. Am i doing something wrong?

cheers... ;)



18
kotis
Re: Need some help on upgrade
  • 2005/11/12 20:31

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Hey dickinsd, thank you very much for your reply... At the moment i managed to run a test upgrade on a local copy of the site and it seems ok. Templates are a bit messed up but i'm going to fix them. The bad thing is that i'm unable to upgrade the forum from the default newbb version that comes with XOOPS 2.0.6 to the latest CBB version.

Can you or someone else help? What is the right path to upgrade newbb to cbb?



19
kotis
Need some help on upgrade
  • 2005/11/11 22:23

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Hi everybody,

I'm in the process of upgrading my site from XOOPS 2.0.6 to the latest version (2.x) and i really need some help. I would like to know which is the officially correct way to upgrade step by step. By searching and reading the forum, i understood that i have to copy the upgrade files over my existing version and then update each module one by one. But what if i'm going to upgrade so many versions? Do i have to copy files and update modules for each verion, or i just copy the files from one version to the next one and then after copying the latests version files i upgrade the modules? Do i have to upgrade the database?

I would appreciate some help...



20
kotis
Re: Request for a Dating Module for Xoops 2
  • 2005/8/10 22:14

  • kotis

  • Just popping in

  • Posts: 82

  • Since: 2002/12/23


Hey, thank you EMSGuy...




TopTop
« 1 (2) 3 4 5 ... 8 »



Login

Who's Online

84 user(s) are online (43 user(s) are browsing Support Forums)


Members: 0


Guests: 84


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Aug 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits